MS12-011 : Vulnerabilities in Microsoft SharePoint Could Allow Elevation of Privilege (2663841)

Medium Nessus Plugin ID 57945


The remote host is affected by multiple privilege escalation and information disclosure vulnerabilities.


The version of SharePoint Foundation or SharePoint Server installed on the remote host has multiple privilege escalation and information disclosure vulnerabilities.

A remote attacker could exploit them by tricking a user into making a malicious request, resulting in arbitrary script code execution.


Microsoft has released a set of patches for SharePoint Server 2010 and SharePoint Foundation 2010.

See Also

Plugin Details

Severity: Medium

ID: 57945

File Name: smb_nt_ms12-011.nasl

Version: $Revision: 1.10 $

Type: local

Agent: windows

Published: 2012/02/14

Modified: 2017/07/26

Dependencies: 57033, 13855

Risk Information

Risk Factor: Medium


Base Score: 5.8

Temporal Score: 4.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:microsoft:sharepoint_server, cpe:/a:microsoft:sharepoint_foundation

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/02/14

Vulnerability Publication Date: 2012/02/14

Reference Information

CVE: CVE-2012-0017, CVE-2012-0144, CVE-2012-0145

BID: 51928, 51934, 51937

OSVDB: 79262, 79263, 79264

MSFT: MS12-011

IAVB: 2012-B-0017

MSKB: 2597124, 2553413